curl --request PATCH \
--url https://{region}.affinda.com/v3/data_points/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"parent": "DdCbJhhx",
"mappingDataSource": "mEFayXdO"
}
'import requests
url = "https://{region}.affinda.com/v3/data_points/{identifier}"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"parent": "DdCbJhhx",
"mappingDataSource": "mEFayXdO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
parent: 'DdCbJhhx',
mappingDataSource: 'mEFayXdO'
})
};
fetch('https://{region}.affinda.com/v3/data_points/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "XprEvgai",
"name": "<string>",
"slug": "<string>",
"annotationContentType": "text",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"mode": "light",
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"extractor": "resume",
"description": "<string>",
"multiple": true,
"noRect": true,
"parent": "DdCbJhhx",
"children": "<array>",
"availableDataSources": [
{
"identifier": "mEFayXdO",
"keyProperty": "value",
"displayProperty": "value",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"name": "My supplier list",
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"label"
],
"properties": {
"label": {
"type": "string"
},
"description": {
"type": "string"
}
}
}
}
],
"mappingDataSource": "mEFayXdO",
"manualEntry": true
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Update a data point
Update data of a data point.
curl --request PATCH \
--url https://{region}.affinda.com/v3/data_points/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"parent": "DdCbJhhx",
"mappingDataSource": "mEFayXdO"
}
'import requests
url = "https://{region}.affinda.com/v3/data_points/{identifier}"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"parent": "DdCbJhhx",
"mappingDataSource": "mEFayXdO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
parent: 'DdCbJhhx',
mappingDataSource: 'mEFayXdO'
})
};
fetch('https://{region}.affinda.com/v3/data_points/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "XprEvgai",
"name": "<string>",
"slug": "<string>",
"annotationContentType": "text",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"mode": "light",
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"extractor": "resume",
"description": "<string>",
"multiple": true,
"noRect": true,
"parent": "DdCbJhhx",
"children": "<array>",
"availableDataSources": [
{
"identifier": "mEFayXdO",
"keyProperty": "value",
"displayProperty": "value",
"organization": "mewlkWEKL",
"workspace": "mewlkWEKL",
"name": "My supplier list",
"schema": {
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"label"
],
"properties": {
"label": {
"type": "string"
},
"description": {
"type": "string"
}
}
}
}
],
"mappingDataSource": "mEFayXdO",
"manualEntry": true
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
DataPoint's identifier Uniquely identify a data point.
"XprEvgai"
Body
Data point to update
Name of the data point.
A camelCase string that will be used as the key in the API response.
The identifier of the parent data point if applicable.
"DdCbJhhx"
If populated, the model will learn to predict this field using the data source, rather than relying on fuzzy string matching.
"mEFayXdO"
Response
Successfully updated data point.
Uniquely identify a data point.
"XprEvgai"
Name of the data point.
A camelCase string that will be used as the key in the API response.
The different data types of annotations
text, integer, float, decimal, date, datetime, daterange, boolean, enum, location, phonenumber, json, table, expectedremuneration, jobtitle, language, skill, yearsexperience, group, table_deprecated, url, image, docclf Show child attributes
Show child attributes
Uniquely identify an extractor.
"resume"
The identifier of the parent data point if applicable.
"DdCbJhhx"
Show child attributes
Show child attributes
If populated, the model will learn to predict this field using the data source, rather than relying on fuzzy string matching.
"mEFayXdO"
If true, the model will not be used to predict this data point. Instead, the user will be able to manually enter the value in the validation tool.